## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class OrderedTupleLiteralPartImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.OrderedTupleLiteralPartImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, OrderedTupleLiteralPart

    public class OrderedTupleLiteralPartImpl

extends org.eclipse.emf.ecore.impl.EModelElementImpl
implements OrderedTupleLiteralPart

An implementation of the model object 'Ordered Tuple Literal Part'.

The following features are implemented:

- `Value`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.ocl.ecore.OCLExpression` `value` The cached value of the '`Value`' containment reference

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `OrderedTupleLiteralPartImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetValue(org.eclipse.ocl.ecore.OCLExpression newValue, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.ocl.ecore.OCLExpression` `getValue()`
`void` `setValue(org.eclipse.ocl.ecore.OCLExpression newValue)`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eInverseAdd, eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### value

    protected org.eclipse.ocl.ecore.OCLExpression value

  The cached value of the '`Value`' containment reference.

  See Also:
    `getValue()`

Constructor Detail

### OrderedTupleLiteralPartImpl

    protected OrderedTupleLiteralPartImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EModelElementImpl`

### getValue

    public org.eclipse.ocl.ecore.OCLExpression getValue()

  Specified by:
    `getValue` in interface `OrderedTupleLiteralPart`
  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `OrderedTupleLiteralPart.setValue(OCLExpression)`, `ImperativeOCLPackage.getOrderedTupleLiteralPart_Value()`

### basicSetValue

    public org.eclipse.emf.common.notify.NotificationChain basicSetValue(org.eclipse.ocl.ecore.OCLExpression newValue,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setValue

    public void setValue(org.eclipse.ocl.ecore.OCLExpression newValue)

  Specified by:
    `setValue` in interface `OrderedTupleLiteralPart`
  Parameters:
    `newValue` - the new value of the 'Value' containment reference.
  See Also:
    `OrderedTupleLiteralPart.getValue()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.EModelElementImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.EModelElementImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.EModelElementImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.EModelElementImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.EModelElementImpl`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.